TEXTURE-FONT-TO-PASCAL(1)

NAME
texture-font-to-pascal - convert ttf font to a Pascal source file

DESCRIPTION
texture-font-to-pascal: convert font file (like TTF or OTF) to a Pascal source file, based on types in Castle Game Engine CastleTextureFontData unit.

  Usage:

    texture-font-to-pascal [options...] MyFontFile.ttf

  Available options:

-h / --help
    Print this help message and exit.

--size=FONT-SIZE

--no-anti-alias

--sample-text=TEXT
    Load (if existing in the font file) all the listed characters. You can use this parameter multiple times.

--sample-text-file=TEXT-FILE-NAME
    Load (if existing in the font file) all the characters used in given text file. You can use this parameter multiple times.

--sample-code=TEXT
    Load (if existing in the font file) the listed character code. You can use this parameter multiple times.

--sample-get-text-mo=URL
    Load (if existing in the font file) all the character codes present in translated strings in URL. URL must point to a GetText MO file, it can be a regular filename as well. You can use this parameter multiple times.

--only-sample-text
    Load only characters from --sample-text and --sample-code, do not add standard ASCII chars. By default we add standard ASCII chars, regardless of --sample-text and --sample-code.

--function-name=PASCAL-FUNCTION-NAME
    Set function name to access the font. By default we automatically calculate it based on font name and size.

--unit-name=PASCAL-UNIT-NAME
    Set generated unit name. This also determines the output filename. By default we automatically calculate it based on function name (which in turn is automatically calculated based on font name and size).

--debug-log
    See the log, showing e.g. the font image size.

--debug-font-image
    Write to disk font images as png.

texture-font-to-pascal version 1.0. Using Castle Game Engine ( https://castle-engine.io/ ) version 7.0-alpha.3. Compiled with FPC 3.2.2. Platform: Desktop, OS: Linux, CPU: x86_64 (code compiled for 64-bit architecture).